ChangeSet 1.1832.73.4, 2004/09/08 12:35:04-07:00, margitsw@t-online.de

[PATCH] I2C: minor lm85 fix

Jean scribeth :
> Except lm85, but this should be fixed

Indeed, patch attached.


Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/i2c/chips/lm85.c |    2 ++
 1 files changed, 2 insertions(+)


diff -Nru a/drivers/i2c/chips/lm85.c b/drivers/i2c/chips/lm85.c
--- a/drivers/i2c/chips/lm85.c	2004-10-19 16:55:47 -07:00
+++ b/drivers/i2c/chips/lm85.c	2004-10-19 16:55:47 -07:00
@@ -707,6 +707,8 @@
 
 int lm85_attach_adapter(struct i2c_adapter *adapter)
 {
+	if (!(adapter->class & I2C_CLASS_HWMON))
+		return 0;
 	return i2c_detect(adapter, &addr_data, lm85_detect);
 }
 
